body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #121212;
    color: #ffffff;
    height: 100vh;
    display: flex;
    margin-top: 25px;
    margin-bottom: 10px;
}

.container {
    display: flex;
    height: 95vh;
    width: 97vw;
    flex-direction: row;
}

.editor, .preview {
    flex: 1;
    padding: 20px;
    box-sizing: border-box;
}

textarea {
    width: 100%;
    height: 100%;
    border: none;
    background-color: #222;
    padding: 15px;
    font-family: 'Arial', sans-serif;
    font-size: 14px;
    resize: none;
    outline: none;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    color: #eeeeee;
    border-radius: 8px;
    resize: none;
}

#markdown-preview {
    width: 100%;
    height: 100%;
    background-color: #222;
    padding: 15px;
    overflow-y: auto;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

h1, h2, h3, h4, h5, h6 {
    margin-top: 0;
}
  
pre {
    background-color: #333;
    padding: 10px;
    border-radius: 5px;
    overflow-x: auto;
    color: #f5f5f5;
}

code {
    font-family: 'Roboto', sans-serif;
    background-color: #333;
    padding: 2px 4px;
    border-radius: 3px;
    color: #f5f5f5;
}

/* Table Styling */
table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    background-color: #33333300;
    color: #ffffff;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;

}

th, td {
    padding: 12px 15px;
/*  text-align: left;   <--- Optional  */
    border: 1px solid #444;
}

th {
    background-color: #44444400;
    font-weight: bold;
    color: #ffffff;
}

/* Zebra striping for rows */
tr:nth-child(even) {
    background-color: #2a2a2a00;
}

/* Responsive tables */
@media (max-width: 768px) {
    table {
        display: block;
        overflow-x: auto;
    }
}
